Library to optimise picking in the warehouse This library includes algorithms that should lead to improvements in picking path optimization in the warehouse. Any specifications that

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
SolverConfiguration Class Reference

object representing the setup for problem solving More...

`#include <setup_configuration.h>`

## Public Member Functions
| SolverConfiguration (BPAlgorithms _bp_alg=BPAlgorithms::FFD_1D_ORDER_ITEMS_NO_SPLIT, GroupingCustomersAlgorithms _grouping_customers_alg=GroupingCustomersAlgorithms::AVG_DISTANCES, ShortestPathAlgorithms _shortest_path_alg=ShortestPathAlgorithms::NEAREST_NEIGHBOUR)
| constructor, when no params set the default are used More...
BPAlgorithms | getBPAlgorithm ()
GroupingCustomersAlgorithms | getGroupingCustomerAlgorithm ()
ShortestPathAlgorithms | getShortestPathAlgorithm ()
| SolverConfiguration (BPAlgorithms _bp_alg=BPAlgorithms::FFD_1D_ORDER_ITEMS_NO_SPLIT, GroupingCustomersAlgorithms _grouping_customers_alg=GroupingCustomersAlgorithms::AVG_DISTANCES, ShortestPathAlgorithms _shortest_path_alg=ShortestPathAlgorithms::NEAREST_NEIGHBOUR)
| constructor, when no params set the default are used More...
BPAlgorithms | getBPAlgorithm ()
GroupingCustomersAlgorithms | getGroupingCustomerAlgorithm ()
ShortestPathAlgorithms | getShortestPathAlgorithm ()

## Public Attributes
int | Number_of_K_Means_Iterations = 10
| when selected K-means clustering, this is maximal number of iterations
float | percentage_kmeans = 0.91
| when selected K-means clustering, this is the optimal koeficient for multiplying portion (volume of wave)/(volume of cart)

## Detailed Description

object representing the setup for problem solving

## Constructor & Destructor Documentation

## ◆ SolverConfiguration() [1/2]

SolverConfiguration::SolverConfiguration | ( | BPAlgorithms | _bp_alg = `BPAlgorithms::FFD_1D_ORDER_ITEMS_NO_SPLIT`,
|  | GroupingCustomersAlgorithms | _grouping_customers_alg = `GroupingCustomersAlgorithms::AVG_DISTANCES`,
|  | ShortestPathAlgorithms | _shortest_path_alg = `ShortestPathAlgorithms::NEAREST_NEIGHBOUR`
| ) |  |

constructor, when no params set the default are used

Parameters

  _bp_alg | chosen algorithm for bin packing
  _grouping_customers_alg | chosen algorithm for grouping customers
  _shortest_path_alg | chosen algorithm for sorting the items in cart to shortest path

## ◆ SolverConfiguration() [2/2]

SolverConfiguration::SolverConfiguration | ( | BPAlgorithms | _bp_alg = `BPAlgorithms::FFD_1D_ORDER_ITEMS_NO_SPLIT`,
|  | GroupingCustomersAlgorithms | _grouping_customers_alg = `GroupingCustomersAlgorithms::AVG_DISTANCES`,
|  | ShortestPathAlgorithms | _shortest_path_alg = `ShortestPathAlgorithms::NEAREST_NEIGHBOUR`
| ) |  |

constructor, when no params set the default are used

Parameters

  _bp_alg | chosen algorithm for bin packing
  _grouping_customers_alg | chosen algorithm for grouping customers
  _shortest_path_alg | chosen algorithm for sorting the items in cart to shortest path

The documentation for this class was generated from the following files:

- setup_configuration.h
- WarehousePickingOpt.h
- setup_configuration.cpp